Subject: Re: musa have no pests

From: [email-masked]
Date: 27 Nov 1996 13:48:13 GMT

A spray containing liquid detergent  -- typically two tbs/gal -- controls
most aphid species.  If you add seaweed extract, it will be more effective
as the potassium ions amplify the soapy water.  This is a broad spectrum
insecticide.  Be careful to only spray target insects.  It is a temporary
control for whitefly also.

For Mother Earth, Dan Hemenway, Yankee Permaculture Publications (since
1982), Elfin Permaculture workshops, lectures, Permaculture Design
Courses, consulting and permaculture designs (since 1981), and now
permaculture correspondence training with an email classroom. Copyright,
1996, Dan & Cynthia Hemenway, P.O. Box 2052, Ocala FL 34478 2052.
[email-masked]  

If its not in our food chain, we're not thinking.